Bug 879052 - [as7] support for editing OSGi capabilities
[as7] support for editing OSGi capabilities
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
x86_64 Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 839216
  Show dependency treegraph
 
Reported: 2012-11-21 18:16 EST by Larry O'Leary
Modified: 2012-11-21 18:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839216
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-11-21 18:16:42 EST
+++ This bug was initially created as a clone of Bug #839216 +++

Description of problem:
JON can list Capability and Property resources of AS7 OSGi subsystem, can add new resources, can edit Property resources but there is no way to edit child resources of these capability  type. AS7 Web console supports this.

Version-Release number of selected component (if applicable):
JON 3.1.0.GA-8


How reproducible:
always

Steps to Reproduce:
1. Start EAP server
2. Start Jon server & agent, inventory agent in server gui with eap in it
3. create new child resource under OSGI - capabilities
4. Enter configuration of new child
  
Actual results:
It is not possible to edit child resource configuration

Expected results:
It is possible to edit child resource configuration

Additional info:
It is possible to edit capability resource in web console.

--- Additional comment from Charles Crouch on 2012-08-29 12:05:40 EDT ---

As per 8/20 triage 8/20 pushing to JON312

--- Additional comment from Jirka Kremser on 2012-11-15 08:30:38 EST ---

The only attribute the OSGi capability has (startLevel) is marked as read only. I was looking into AS console code and AS console allows for changing it by simply removing the whole OSGi capability and adding it again with a changed value of the attribute startLevel. It is a question if we should mimic the AS console in this particular behavior.

--- Additional comment from mark yarborough on 2012-11-20 15:45:33 EST ---

Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).

Note You need to log in before you can comment on or make changes to this bug.